#!/bin/sh
#--------------------------------------------
# script used for lora station (wirnet)
#--------------------------------------------

trap "killall snmpd" SIGINT SIGQUIT SIGTERM
killall snmpd

#by default, look for the SERIAL depending of the station
#if argument given, take the first arg as SERIAL

cd /mnt/fsuser-1/snmp
mkdir -p traces

# Serial Number according to the platform
. ./serial_function

#Remove default or previous RW access to set only serial
sed -ire "/^rwcommunity/ d" snmpd.conf
echo "rwcommunity $SERIAL" >> snmpd.conf

#Remove default or previous openVPN link (snmpd restarted after tunnel openVPN up)
[ -f /etc/openvpn/client-openvpn.conf ] && sed -ire "/^;route-up.*/ d" /etc/openvpn/client-openvpn.conf
[ -f /etc/openvpn/client-openvpn.conf ] && sed -ire "/^route-up.*/ d" /etc/openvpn/client-openvpn.conf
[ -f /etc/openvpn/client-openvpn.conf ] && echo "route-up /mnt/fsuser-1/snmp/killall_snmp.sh" >> /etc/openvpn/client-openvpn.conf

set -x #echo on
export MIBDIRS=$PWD/mibs

#Execution of the daemon (stdout and stderr redirected to syslog thanks to logger)
# /etc/syslog.conf should contain the line:
# local0.* /mnt/fsuser-1/snmp/traces/snmp.log
snmpd -C -c snmpd.conf -f -Lo -Ddlmod,trap 2>&1 |logger -p local0.notice
